aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Commands.Attributes

# Documentation

data GetAttributes Source #

Constructors

GetAttributes |

Fields

- gaItemName :: Text
- gaAttributeName :: Maybe Text
- gaConsistentRead :: Bool
- gaDomainName :: Text

#### Instances

Instances details

SignQuery GetAttributes Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration GetAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration GetAttributes = SdbConfiguration

Methods

signQuery :: GetAttributes -> ServiceConfiguration GetAttributes queryType -> SignatureData -> SignedQuery Source #

Show GetAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> GetAttributes -> ShowS Source # show :: GetAttributes -> String Source # showList :: [GetAttributes] -> ShowS Source #
Transaction GetAttributes GetAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration GetAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration GetAttributes = SdbConfiguration

data GetAttributesResponse Source #

Constructors

GetAttributesResponse |

Fields

- garAttributes :: [Attribute Text]

#### Instances

Instances details

AsMemoryResponse GetAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse GetAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse GetAttributesResponse = GetAttributesResponse

Methods

loadToMemory :: GetAttributesResponse -> ResourceT IO (MemoryResponse GetAttributesResponse) Source #

Show GetAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> GetAttributesResponse -> ShowS Source # show :: GetAttributesResponse -> String Source # showList :: [GetAttributesResponse] -> ShowS Source #
ResponseConsumer r GetAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata GetAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata GetAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetAttributesResponse) -> HTTPResponseConsumer GetAttributesResponse Source #

Transaction GetAttributes GetAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse GetAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse GetAttributesResponse = GetAttributesResponse
type ResponseMetadata GetAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata GetAttributesResponse = SdbMetadata

getAttributes :: Text -> Text -> GetAttributes Source #

data PutAttributes Source #

Constructors

PutAttributes |

Fields

- paItemName :: Text
- paAttributes :: [Attribute SetAttribute]
- paExpected :: [Attribute ExpectedAttribute]
- paDomainName :: Text

#### Instances

Instances details

SignQuery PutAttributes Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration PutAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration PutAttributes = SdbConfiguration

Methods

signQuery :: PutAttributes -> ServiceConfiguration PutAttributes queryType -> SignatureData -> SignedQuery Source #

Show PutAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> PutAttributes -> ShowS Source # show :: PutAttributes -> String Source # showList :: [PutAttributes] -> ShowS Source #
Transaction PutAttributes PutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration PutAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration PutAttributes = SdbConfiguration

data PutAttributesResponse Source #

Constructors

PutAttributesResponse |

#### Instances

Instances details

AsMemoryResponse PutAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse PutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse PutAttributesResponse = PutAttributesResponse

Methods

loadToMemory :: PutAttributesResponse -> ResourceT IO (MemoryResponse PutAttributesResponse) Source #

Show PutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> PutAttributesResponse -> ShowS Source # show :: PutAttributesResponse -> String Source # showList :: [PutAttributesResponse] -> ShowS Source #
ResponseConsumer r PutAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata PutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata PutAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutAttributesResponse) -> HTTPResponseConsumer PutAttributesResponse Source #

Transaction PutAttributes PutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse PutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse PutAttributesResponse = PutAttributesResponse
type ResponseMetadata PutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata PutAttributesResponse = SdbMetadata

putAttributes :: Text -> [Attribute SetAttribute] -> Text -> PutAttributes Source #

data DeleteAttributes Source #

Constructors

DeleteAttributes |

Fields

- daItemName :: Text
- daAttributes :: [Attribute DeleteAttribute]
- daExpected :: [Attribute ExpectedAttribute]
- daDomainName :: Text

#### Instances

Instances details

SignQuery DeleteAttributes Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration DeleteAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration DeleteAttributes = SdbConfiguration

Methods

signQuery :: DeleteAttributes -> ServiceConfiguration DeleteAttributes queryType -> SignatureData -> SignedQuery Source #

Show DeleteAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> DeleteAttributes -> ShowS Source # show :: DeleteAttributes -> String Source # showList :: [DeleteAttributes] -> ShowS Source #
Transaction DeleteAttributes DeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration DeleteAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration DeleteAttributes = SdbConfiguration

data DeleteAttributesResponse Source #

Constructors

DeleteAttributesResponse |

#### Instances

Instances details

AsMemoryResponse DeleteAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse DeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse DeleteAttributesResponse = DeleteAttributesResponse

Methods

loadToMemory :: DeleteAttributesResponse -> ResourceT IO (MemoryResponse DeleteAttributesResponse) Source #

Show DeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> DeleteAttributesResponse -> ShowS Source # show :: DeleteAttributesResponse -> String Source # showList :: [DeleteAttributesResponse] -> ShowS Source #
ResponseConsumer r DeleteAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata DeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata DeleteAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteAttributesResponse) -> HTTPResponseConsumer DeleteAttributesResponse Source #

Transaction DeleteAttributes DeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse DeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse DeleteAttributesResponse = DeleteAttributesResponse
type ResponseMetadata DeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata DeleteAttributesResponse = SdbMetadata

deleteAttributes :: Text -> [Attribute DeleteAttribute] -> Text -> DeleteAttributes Source #

data BatchPutAttributes Source #

Constructors

BatchPutAttributes |

Fields

- bpaItems :: [Item [Attribute SetAttribute]]
- bpaDomainName :: Text

#### Instances

Instances details

SignQuery BatchPutAttributes Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration BatchPutAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchPutAttributes = SdbConfiguration

Methods

signQuery :: BatchPutAttributes -> ServiceConfiguration BatchPutAttributes queryType -> SignatureData -> SignedQuery Source #

Show BatchPutAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> BatchPutAttributes -> ShowS Source # show :: BatchPutAttributes -> String Source # showList :: [BatchPutAttributes] -> ShowS Source #
Transaction BatchPutAttributes BatchPutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration BatchPutAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchPutAttributes = SdbConfiguration

data BatchPutAttributesResponse Source #

Constructors

BatchPutAttributesResponse |

#### Instances

Instances details

AsMemoryResponse BatchPutAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchPutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchPutAttributesResponse = BatchPutAttributesResponse

Methods

loadToMemory :: BatchPutAttributesResponse -> ResourceT IO (MemoryResponse BatchPutAttributesResponse) Source #

Show BatchPutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> BatchPutAttributesResponse -> ShowS Source # show :: BatchPutAttributesResponse -> String Source # showList :: [BatchPutAttributesResponse] -> ShowS Source #
ResponseConsumer r BatchPutAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata BatchPutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchPutAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchPutAttributesResponse) -> HTTPResponseConsumer BatchPutAttributesResponse Source #

Transaction BatchPutAttributes BatchPutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse BatchPutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchPutAttributesResponse = BatchPutAttributesResponse
type ResponseMetadata BatchPutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchPutAttributesResponse = SdbMetadata

batchPutAttributes :: [Item [Attribute SetAttribute]] -> Text -> BatchPutAttributes Source #

data BatchDeleteAttributes Source #

Constructors

BatchDeleteAttributes |

Fields

- bdaItems :: [Item [Attribute DeleteAttribute]]
- bdaDomainName :: Text

#### Instances

Instances details

SignQuery BatchDeleteAttributes Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration BatchDeleteAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchDeleteAttributes = SdbConfiguration

Methods

signQuery :: BatchDeleteAttributes -> ServiceConfiguration BatchDeleteAttributes queryType -> SignatureData -> SignedQuery Source #

Show BatchDeleteAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> BatchDeleteAttributes -> ShowS Source # show :: BatchDeleteAttributes -> String Source # showList :: [BatchDeleteAttributes] -> ShowS Source #
Transaction BatchDeleteAttributes BatchDeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration BatchDeleteAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchDeleteAttributes = SdbConfiguration

data BatchDeleteAttributesResponse Source #

Constructors

BatchDeleteAttributesResponse |

#### Instances

Instances details

AsMemoryResponse BatchDeleteAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchDeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchDeleteAttributesResponse = BatchDeleteAttributesResponse

Methods

loadToMemory :: BatchDeleteAttributesResponse -> ResourceT IO (MemoryResponse BatchDeleteAttributesResponse) Source #

Show BatchDeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> BatchDeleteAttributesResponse -> ShowS Source # show :: BatchDeleteAttributesResponse -> String Source # showList :: [BatchDeleteAttributesResponse] -> ShowS Source #
ResponseConsumer r BatchDeleteAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata BatchDeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchDeleteAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchDeleteAttributesResponse) -> HTTPResponseConsumer BatchDeleteAttributesResponse Source #

Transaction BatchDeleteAttributes BatchDeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse BatchDeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchDeleteAttributesResponse = BatchDeleteAttributesResponse
type ResponseMetadata BatchDeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchDeleteAttributesResponse = SdbMetadata

batchDeleteAttributes :: [Item [Attribute DeleteAttribute]] -> Text -> BatchDeleteAttributes Source #